Skip to main content
GET
/
api
/
public
/
v1
/
account-details
Get bank account details
curl --request GET \
  --url https://api.wallbit.io/api/public/v1/account-details \
  --header 'X-API-Key: <api-key>'
import requests

url = "https://api.wallbit.io/api/public/v1/account-details"

headers = {"X-API-Key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};

fetch('https://api.wallbit.io/api/public/v1/account-details', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": {
    "bank_name": "Community Federal Savings Bank",
    "currency": "USD",
    "account_type": "CHECKING",
    "account_number": "9876543210",
    "routing_number": "026073150",
    "swift_code": "CTFNUS33",
    "holder_name": "John Doe",
    "address": {
      "street_line_1": "123 Main St",
      "city": "New York",
      "state": "NY",
      "postal_code": "10001",
      "country": "US"
    }
  }
}

Authorizations

X-API-Key
string
header
required

API Key authentication. Obtain your API key from the Wallbit dashboard under Settings → API Keys.

Query Parameters

country
enum<string>
default:US

Account country (US, EU)

Available options:
US,
EU
Example:

"US"

currency
enum<string>
default:USD

Account currency (USD, EUR)

Available options:
USD,
EUR
Example:

"USD"

Response

Account details retrieved successfully

data
object